<TeamNameBtn@ToggleButton>:
    weapon: "e"
    team_id: 1
    size_hint: 1,.1
    group: "TeamName"


<Team_forms_screen>:

    BoxLayout:

        BoxLayout:
            orientation: "vertical"
            size_hint: .6,1
            canvas.before:
                Color:
                    rgb: 0,1,0
                Rectangle:
                    size: self.size
                    pos: self.pos
            BoxLayout:
                padding: 20
                spacing: 20
                BoxLayout:
                    orientation:"vertical"
                    canvas.before:
                        Color:
                            rgb: 0,0,0
                        Line:
                            width: 2
                            rectangle: self.x, self.y, self.width, self.height
                    Label:
                        text: "Epee"
                        size_hint_y: .1
                        color: 0,0,0,1

                    StackLayout:
                        orientation: "lr-tb"
                        id: Epee_team_list
                        padding: 3
                        size_hint_y: .9


                BoxLayout:
                    orientation:"vertical"
                    canvas.before:
                        Color:
                            rgb: 0,0,0
                        Line:
                            width: 2
                            rectangle: self.x, self.y, self.width, self.height
                    Label:
                        text: "Foil"
                        size_hint_y: .1
                        color: 0,0,0,1

                    StackLayout:
                        orientation: "lr-tb"
                        id: Foil_team_list
                        padding: 3
                        size_hint_y: .9


                BoxLayout:
                    orientation:"vertical"
                    canvas.before:
                        Color:
                            rgb: 0,0,0
                        Line:
                            width: 2
                            rectangle: self.x, self.y, self.width, self.height
                    Label:
                        text: "Sabre"
                        size_hint_y: .1
                        color: 0,0,0,1

                    StackLayout:
                        orientation: "lr-tb"
                        id: Sabre_team_list
                        padding: 3
                        size_hint_y: .9



            BoxLayout:
                size_hint:1,.15
                padding: 60,2

                Button:
                    text: "Print All"
                    on_release: root.print_all()












        BoxLayout:
            orientation: "vertical"
            id: team_form_sheet
            size_hint: .4,1
            canvas.before:
                Color:
                    rgb: .8,.8,.85
                Rectangle:
                    size: self.size
                    pos: self.pos
            Label:

            TeamFormSheet:
                id: sheet
                size_hint_y: None
                height: self.width/ 1.4

            BoxLayout:
                padding: 40
                Button:
                    text: "print"
                    on_release: root.print_one()